# PBX options
#############

# Turn debugging all on=0xffff or off=0x0000 (default= 0x0000)
#define DEBUG_CONFIG	0x0001
#define DEBUG_MSG 	0x0002
#define DEBUG_STACK 	0x0004
#define DEBUG_BCHANNEL 	0x0008
#define DEBUG_PORT 	0x0100
#define DEBUG_ISDN 	0x0110
#define DEBUG_H323	0x0120 
#define DEBUG_VBOX	0x0180
#define DEBUG_EPOINT 	0x0200
#define DEBUG_CALL 	0x0400
#define DEBUG_CRYPT     0x1000
#define DEBUG_ROUTE     0x2000
#define DEBUG_IDLETIME  0x4000
#define DEBUG_LOG       0x7fff

#debug 0x0000

# The log file can be used to track actions by the PBX. Omit the parameter
# to turn off log file. By default, log file is located inside the directory
# "/usr/local/pbx/log".
#log /usr/local/pbx/log

# Use "alaw" (default) or "ulaw" samples.
#alaw

# The pbx should run as real time process. Because audio is streamed and
# ISDN protocol requires a certain response time, we must have high priority.
# By default, the process runs with realtime scheduling and high priority.
# To debug, it is whise to use "schedule" with no parameter to turn off
# realtime scheduling. In case of an endless loop bug, PBX4Linux will take
# all CPU time forever - your machine hangs.
#schedule 0

# Use tone sets (default= tones_american).
# This can be overridden by the extension setting
#tones_dir tones_american

# Fetch tone sets as specified here.
# The tone sets will be loaded during startup, and no harddisk access is
# required. Specify all tone sets seperated by komma.
# By default, no tone is fetched. Tone sets, that are not specified here, will
# be streamed from hard disk.
# Don't use spaces to seperate!
#fetch_tones tones_american,tones_german,vbox_english,vbox_german

# Extensions directory where all configuration files and messages for all
# extensions are stored (default= extensions).
#extensions_dir extensions

# Prefix to dial national call (default= 0).
# If you omit the prefix, all subscriber numbers are national numbers.
# (example: Danmark)
#national 0

# Prefix to dial international call (default= 00).
# If you omit the prefix, all subscriber numbers are international numbers.
#international 00

# On external calls, dialing can be done via normal called party number
# information element or via keypad facility. Some telephone systems require
# dialing via keypad to enable/disable special functions.
# By default keypad facility is disabled.
#keypad

# Internal/external ports (cards connected to your isdn line)
# MUST be the card number. Use "./pbx query" to list.
# Add "ptp" for using internal port as point-to-point. (Only required for NT mode ports.)
# Example: port 2
#          port 3 ptp
port 2
port 3

# Specify the H323 endpoint name. If omitted the hostname is used.
#h323_name PBX4Linux

# Incoming H323 calls can be connected prior answer, because some clients will
# not play any inband tones during ringing, they just wait as nothing would
# happen.
# This only works for external calls. If a H323 caller is authenticated via
# h323_gateway.conf, a special "connect" option may be used to connect as
# soon as the call is received.
# By default this feature is turned off.
#h323_ringconnect

# Specify which codecs may be used for H323 calls
# "h323_law"	ALaw and muLaw codec which requre more than 64k internet
#		connection cause by overhead. The parameter defines the frame
#		size. The size range is 10 - 240.
# "h323_g726"	The adpcm codec G726. The parameter defines the bits per sample.
#		The bits must be 2, 3, 4, or 5. (16, 24, 32, 40 kbits/s) 
#		The given value will always include all modes with lower value.
# "h323_gsm"	GSM0610 and MicrosoftGSM codecs (not compatible with netmeeting)
#		The prameter defines the frame size. The frame range is 1 - 7.
# "h323_lpc10"	Codec with very low bandwith usage which can even be used on
#		slow internetconnections like 9600 kBit (about 300 bytes/s)
# "h323_speex"	Non standard Speex codec. The parameter defines the mode.
#		The mode range is 2 - 6.
#		The given value will always include all modes with lower value.
# "h323_xspeex"	Non standard XiphSpeex codec. The parameter defines the mode.
#		The mode range is 2 - 6.
#		The given value will always include all modes with lower value.
# The priority of the codecs to use is given by it's order.
# By default, no codec is used
h323_gsm 4
h323_g726 2
#h323_lpc10
#h323_speex 4
#h323_xspeex 4
h323_law 64

# To allow incoming calls via H323, the following option is used:
# "h323_icall [<prefix>]"
# The given prefix is used for incoming calls which do not send any dialing
# information. If you like to route calls to an extension, give extension
# dialing as specified at numbering_ext.conf.
# By default no calls are accepted.
# Omit the prefix and it must be dialed by the caller.
h323_icall 0

# Specify the port to listen on incoming H323 connections.
# The default value is 1720.
#h323_port 1720

# To register with a gatekeeper, the following option is used:
# "h323_gatekeeper [<host or ip>]
# If no parameter is given, the gatekeeper is searched automatically.
#h323_gatekeeper

# To use dtmf detection for call from or to ISDN, uncomment the keyword "dtmf".
# By default dtmf detection is used. Note that dtmf detection needs cpu time.
# Dtmf detection is essential when handling the call after connect using
# keypad. (conferrence, callback, ect...)
#nodtmf

# For calls to external where caller id is not available, this id is used.
# It is sent of type "subscriber number". This ID is only usefull if the
# external line will not screen caller id. It will be sent anonymous.
# If you don't know what to use it for, you don't need it.
# Default is nothing.
#dummyid 0

# If your external ISDN line(s) support inband patterns prior call connect,
# you may say 'yes' here. In this case the PBX's tones are used for incoming
# calls. This may require a special subscription because it can be abused
# to transfer audio prior charge of call
#inbandpattern no

# Tones/announcements are streamed from user space. It is possible to use
# the module "mISDN_dsp.o" instead. It provides simple tones with much less cpu
# usage. If supported by special hardware, tones are loops that require no
# bus/cpu load at all, except when the tone changes.
# This works only for ISDN ports. It can be overridden by extension's tone set.
# Defautlt is streaming of tones. Use parameter "american", "german", or
# "oldgerman". "oldgerman" sounds like the old german telephone system (POTS).
#dsptones none

# Source email address of the PBX. E.g. it is used when sending a mail
# from the voice box. It is not the address the mails are sent to.
# Most mail servers require an existing domain in order to accept mails.
#email pbx@jolly.de

